aboutsummaryrefslogtreecommitdiff
path: root/t/t7002-grep.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2009-09-13 01:30:53 -0700
committerJunio C Hamano <gitster@pobox.com>2009-09-13 01:30:53 -0700
commit5b590d783a461c63fa803d1c21b57bc79c0207f7 (patch)
tree3ad36990856314a6956226c0daf182f6df6762d5 /t/t7002-grep.sh
parent0c3d3ac352427738e7c4393c0a959e0e698a0c7a (diff)
parent7fb6bcff2dece2ff9fbc5ebfe526d9b2a7e764c4 (diff)
downloadgit-5b590d783a461c63fa803d1c21b57bc79c0207f7.tar.gz
git-5b590d783a461c63fa803d1c21b57bc79c0207f7.tar.xz
Merge branch 'maint'
* maint: GIT 1.6.4.3 svn: properly escape arguments for authors-prog http.c: remove verification of remote packs grep: accept relative paths outside current working directory grep: fix exit status if external_grep() punts Conflicts: GIT-VERSION-GEN RelNotes
Diffstat (limited to 't/t7002-grep.sh')
-rwxr-xr-xt/t7002-grep.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/t/t7002-grep.sh b/t/t7002-grep.sh
index b4709e28b..ae56a36ea 100755
--- a/t/t7002-grep.sh
+++ b/t/t7002-grep.sh
@@ -328,4 +328,21 @@ test_expect_success 'grep -p -B5' '
test_cmp expected actual
'
+test_expect_success 'grep from a subdirectory to search wider area (1)' '
+ mkdir -p s &&
+ (
+ cd s && git grep "x x x" ..
+ )
+'
+
+test_expect_success 'grep from a subdirectory to search wider area (2)' '
+ mkdir -p s &&
+ (
+ cd s || exit 1
+ ( git grep xxyyzz .. >out ; echo $? >status )
+ ! test -s out &&
+ test 1 = $(cat status)
+ )
+'
+
test_done